| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::DebugMessage Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

double | timestamp
QString | domain
uint | level
QString | message

## Detailed Description

Structure type generated from the specification.

A struct representing a debug message, as returned by GetMessages.

## Member Data Documentation

double Tp::DebugMessage::timestamp

Timestamp of the debug message. This is a double to allow more accuracy in the time the message was logged.

QString Tp::DebugMessage::domain

Domain of the debug message. This is used to identify the source of debug messages. For example, debug messages from a connection manager could have this Domain struct member be the name of the connection manager, and logs from any helper library could have the name of the helper library.

The domain could also contain a category as to where the log message originated separated by a forward-slash. For example, if a debug message was output in a connection manager called "dummy", in the file-transfer code, this Domain struct member might be `dummy/file-transfer`.

uint Tp::DebugMessage::level

Level of the debug message. This states the severity of the debug message.

QString Tp::DebugMessage::message

The text of the debug message.